---
title: Instalace STM na webhostingu Endora.cz
---

<p>Web <a href="http://www.sokolmorasice.g6.cz/" target="_blank">fotbalového klubu z Morašic</a> beží 
    na webhostingu <a href="http://www.endora.cz/" target="_blank">Endora.cz</a>. Někomu jsem slíbil, 
    že zde poté zveřejním návod pro Endoru, ale nutno podotknout, že návod sepisuji cca měsíc po instalaci, 
    takže může dojít k určitým nepřesnostem.</p>

<h2>1. Zaregistrování domény na Endora.cz</h2>

<p><a href="http://www.endora.cz/order?domain=&amp;tld=8u.cz&amp;typObjednavky=3ld" target="_blank">Zaregistrovat</a> 
    doménu do systému Endora. Je nutno zaškrtnout <strong>PLUS program</strong> kvůli MySQL InnoDB (poplatek 605,- Kč 
    na 3 roky, doména 3.řádu je zdarma). V případě platby přes Paypal netrvá aktivace účtu i možnosti vytvoření 
    InnoDB databáze ani 5 minut.</p>

<%= image_tag 'endora/registrace.png', :class => 'border center' %>

<h2>2. Vytvoření InnoDB databáze v administraci</h2>

<p>V administraci v menu zvolte položku <strong>Databáze</strong>. Na stránce s databázemi klikněte na 
    tlačítko <strong>Přidat databázi</strong>. Na další stránce vložte název databáze a zaškrtněte 
    volbu <strong>InnoDB</strong>. Doporučoval bych i vytvoření 
    <a href="<%= webPrefix %>/assets/images/endora/database-uzivatel.png" class="imageBox">nového uživatele</a> 
    s přístupem pouze do vytvořené databáze a nějakým dlouhým vygenerovaným heslem. Pokud nevytvoříte nového uživatele, tak se do databáze přihlásíte se stejnými přihlašovacími údaji jako do administrace Endory (myslím, že to tak je, ale nejsem si úplně jistý).</p>

<%= image_tag 'endora/databaze.png', :class => 'border center' %>
<%= image_tag 'endora/databaze-vytvoreni.png', :class => 'border center' %>

<h2>3. Nahrání STM na web</h2>

<p>V případě prvního webu na Endoře si možná musíte vložit uživatele FTP. Tímto si nejsem jistý, protože už si 
    nepamatuji, zda tam byl nebo byl vytvořen výchozí účet. Pokud 
    <a href="<%= webPrefix %>/assets/images/endora/ftp-uzivatel.png" class="imageBox">vytváříte nový FTP</a> účet, tak ho rovnou nasměrujte na Váš web. Např. pro adresu www.sokolmorasice.g6.cz bych do políčka <em>Směřuje do adresáře</em> vložil <strong>sokolmorasice.g6.cz</strong></p>

<%= image_tag 'endora/ftp.png', :class => 'border center' %>

<p>Máte-li vytvořeného uživatele, tak si např. ve <a href="<%= webPrefix %>/assets/images/endora/ftp-filezilla.png" class="imageBox">Filezille</a> nastavte účet pro web, připojte se na web a do zvolené složky na webu nahrajte rozbalený obsah souboru staženého z tohoto webu. V hlavním adresáři se nechte prostor pro Váš web, takže bych STM nahrál do složky <strong>stm</strong>, na webu by tedy byl přístupný přes adresu www.sokolmorasice.g6.cz/stm/.</p>

<%= image_tag 'endora/instalace.png', :class => 'border clear right top' %>

<h2>4. Instalace STM</h2>

<p>Pro výše uvedený příklad bych přešel na adresu www.sokolmorasice.g6.cz/stm/install/. Dále bych provedl klasickou <a href="<%= webPrefix %>/help/instalace.html">instalaci</a>. U databázové připojení bych vyplnil:</p>

<ul>
	<li><em>Databázový server</em>: <strong>innodb.endora.cz:3306</strong></li>
	<li><em>Databázový uživatel</em>: <strong>jméno vytvořeného uživatele</strong></li>
	<li><em>Heslo pro DB uživatele</em>: <strong>heslo uživatele</strong></li>
	<li><em>Jméno databáze</em>: <strong>jméno zvolené ve druhém kroku</strong></li>
</ul>

<p>Jméno databáze i uživatele můžete vidět v administraci Endory na stránce <em>Databáze</em>.</p>

<p>Jméno pro administrátora nijak nesouvisí s databází. Pod jménem administrátora se Vy budete přihlašovat do aplikace.</p>
